/[pcre]/code/trunk/PrepareRelease
ViewVC logotype

Diff of /code/trunk/PrepareRelease

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 183 by ph10, Wed Jun 13 15:17:05 2007 UTC revision 429 by ph10, Tue Sep 1 16:10:16 2009 UTC
# Line 8  Line 8 
8  # following files:  # following files:
9    
10  # 132html     A Perl script that converts a .1 or .3 man page into HTML. It  # 132html     A Perl script that converts a .1 or .3 man page into HTML. It
11  #             is called from MakeRelease. It "knows" the relevant troff  #             "knows" the relevant troff constructs that are used in the PCRE
12  #             constructs that are used in the PCRE man pages.  #             man pages.
13    
14  # CleanTxt    A Perl script that cleans up the output of "nroff -man" by  # CleanTxt    A Perl script that cleans up the output of "nroff -man" by
15  #             removing backspaces and other redundant text so as to produce  #             removing backspaces and other redundant text so as to produce
# Line 37  cat <<End >pcre.txt Line 37  cat <<End >pcre.txt
37  This file contains a concatenation of the PCRE man pages, converted to plain  This file contains a concatenation of the PCRE man pages, converted to plain
38  text format for ease of searching with a text editor, or for use on systems  text format for ease of searching with a text editor, or for use on systems
39  that do not have a man page processor. The small individual files that give  that do not have a man page processor. The small individual files that give
40  synopses of each function in the library have not been included. There are  synopses of each function in the library have not been included. Neither has
41  separate text files for the pcregrep and pcretest commands.  the pcredemo program. There are separate text files for the pcregrep and
42    pcretest commands.
43  -----------------------------------------------------------------------------  -----------------------------------------------------------------------------
44    
45    
# Line 46  End Line 47  End
47    
48  echo "Making pcre.txt"  echo "Making pcre.txt"
49  for file in pcre pcrebuild pcrematching pcreapi pcrecallout pcrecompat \  for file in pcre pcrebuild pcrematching pcreapi pcrecallout pcrecompat \
50              pcrepattern pcrepartial pcreprecompile \              pcrepattern pcresyntax pcrepartial pcreprecompile \
51              pcreperform pcreposix pcrecpp pcresample pcrestack ; do              pcreperform pcreposix pcrecpp pcresample pcrestack ; do
52    echo "  Processing $file.3"    echo "  Processing $file.3"
53    nroff -c -man $file.3 >$file.rawtxt    nroff -c -man $file.3 >$file.rawtxt
# Line 68  for file in pcretest pcregrep pcre-confi Line 69  for file in pcretest pcregrep pcre-confi
69  done  done
70    
71    
72    # Make pcredemo.3 from the pcredemo.c source file
73    
74    echo "Making pcredemo.3"
75    perl <<"END" >pcredemo.3
76      open(IN, "../pcredemo.c") || die "Failed to open pcredemo.c\n";
77      open(OUT, ">pcredemo.3") || die "Failed to open pcredemo.3\n";
78      print OUT ".\\\" Start example.\n" .
79                ".de EX\n" .
80                ".  nr mE \\\\n(.f\n" .
81                ".  nf\n" .
82                ".  nh\n" .
83                ".  ft CW\n" .
84                "..\n" .
85                ".\n" .
86                ".\n" .
87                ".\\\" End example.\n" .
88                ".de EE\n" .
89                ".  ft \\\\n(mE\n" .
90                ".  fi\n" .
91                ".  hy \\\\n(HY\n" .
92                "..\n" .
93                ".\n" .
94                ".EX\n" ;
95      while (<IN>)
96        {
97        s/\\/\\e/g;
98        print OUT;
99        }
100      print OUT ".EE\n";
101      close(IN);
102      close(OUT);
103    END
104    if [ $? != 0 ] ; then exit 1; fi
105    
106    
107  # Make HTML form of the documentation.  # Make HTML form of the documentation.
108    
109  echo "Making HTML documentation"  echo "Making HTML documentation"
# Line 128  files="\ Line 164  files="\
164    RunTest.bat \    RunTest.bat \
165    pcre-config.in \    pcre-config.in \
166    libpcre.pc.in \    libpcre.pc.in \
167      libpcreposix.pc.in \
168    libpcrecpp.pc.in \    libpcrecpp.pc.in \
   config.h \  
169    config.h.in \    config.h.in \
170    pcre_printint.src \    pcre_printint.src \
171    pcre_chartables.c.dist \    pcre_chartables.c.dist \
# Line 139  files="\ Line 175  files="\
175    dftables.c \    dftables.c \
176    pcreposix.c \    pcreposix.c \
177    pcreposix.h \    pcreposix.h \
   pcre.h \  
178    pcre.h.in \    pcre.h.in \
179    pcre_internal.h    pcre_internal.h
180    pcre_compile.c \    pcre_compile.c \

Legend:
Removed from v.183  
changed lines
  Added in v.429

  ViewVC Help
Powered by ViewVC 1.1.5